/*
 * ---------------------------------------------------------------------------
 * This file includes the main routine of the gasmixer HW/SW. 
 * menue of the gasmixer.
 * author : Mstl Georg
 * date   : 16.11.2006
 * ---------------------------------------------------------------------------
 */
 
 
#include "gasmixer_defs.h"
#include "lcd_ctrl.h"
#include "menue_hdl.h" 
#include "keypad_ctrl.h" 

//#include <avr/interrupt.h>
#include <avr/eeprom.h>
#include <util/delay.h>

cfg_par_t cfg_par EEMEM = { { P_STORING_TANK, P_STORING_TANK },
                            { V_STORING_TANK, V_STORING_TANK },  
													  V_DIVING_TANK,
													  { TOPOFF_O2, TOPOFF_HE, TOPOFF_N2 },
													  P_OFF_COMP };
	
int main(void) {

  uint8_t key;
	
  //initialization phase
  initLCD();
	initKEY();
	clearLCD();
	
	//welcoming 
	welcomeScreenMENUE();
		
	//wait until "enter" button (== '#') is pressed 
	while((key = readKeypadKEY(&BUT_PORT, &BUT_PIN)) != BUT_FENCE);
	clearLCD();
	_delay_ms(10000);
  //waitReleasedKEY(key);
	
	while(1) {
		
		//--------------------------------------------------------
		// Configuration
		//--------------------------------------------------------
		cfgScreenMENUE();
		//wait until '#' or '*' is pressed
		/*key = readKeypadKEY();
		while((key != BUT_FENCE) && (key != BUT_MULT))
			key = readKeypadKEY();
		clearLCD();
		waitReleasedKEY(key);
		
		if(key == BUT_FENCE)	  
			//new configuration wanted
			makeNewCfgMENUE();
		
    //else 
			//use old configuration
			
		//--------------------------------------------------------
		// Calculation
		//--------------------------------------------------------	
		calcScreenMENUE();
		
		//wait until "enter" button (== '#') is pressed 
		while((key = readKeypadKEY()) != BUT_FENCE);
		clearLCD();
		waitReleasedKEY(key);
		
		makeNewCalcMENUE();*/
		
	}//while(1)

	return 0;

}
