/*
 * ---------------------------------------------------------------------------
 * This file declares constants, functions, ... used to calculate the part of
 * O2, He, N2 gas which must be filled into the tank to get the wanted gasmix.
 * author : Mstl Georg
 * date   : 22.11.2006
 * ---------------------------------------------------------------------------
 */

 
#include "gasmixer_defs.h"


#ifndef __MIX_CALC__
	#define ___MIX_CALC__
	
	/* 
	 * -------------------------------------------------------------------------
	 * general constant declarations 
	 * -------------------------------------------------------------------------
	 */
	 
	 
	 
	/* 
	 * -------------------------------------------------------------------------
	 * general function declarations 
	 * -------------------------------------------------------------------------
	 */
 
	fill_instr_t calcGasmixCALC(tank_t src_tank, tank_t dest_tank);
	
	
#endif
